### File

`packages/eui/packages/components-next/src/lib/layout/eui-breadcrumb/breadcrumb.component.ts`

### Implements

`AfterContentInit` `AfterViewInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
host | `{ }`
selector | `eui-breadcrumbs`
styleUrls | `./_styles/_index.scss`
templateUrl | `./breadcrumb.component.html`

### Constructor

`constructor(appShellService: UxAppShellService, elementRef: ElementRef, cd: ChangeDetectorRef, viewportRuler: ViewportRuler, renderer: Renderer2, viewContainerRef: ViewContainerRef, resolver: ComponentFactoryResolver)`
Parameters :
Name | Type | Optional
appShellService | `UxAppShellService` | No
elementRef | `ElementRef` | No
cd | `ChangeDetectorRef` | No
viewportRuler | `ViewportRuler` | No
renderer | `Renderer2` | No
viewContainerRef | `ViewContainerRef` | No
resolver | `ComponentFactoryResolver` | No

# result-matching ""

# No results matching ""